List highlights
Highlights and comments in a conversation, in the order they appear.
GET https://cotlet.dev/api/v1/otter/conversations/{conversation_id}/highlights
read
Returns the highlighted passages and comments of one conversation in transcript order, each with its timestamp. The result is empty for a conversation with no highlights or comments. This is the same content as Otter's Highlights and Comments export.
Parameters
| Name | Type | Description |
|---|---|---|
| conversation_id string required | string | Conversation ID from list_conversations or search_transcripts. |
Request
curl https://cotlet.dev/api/v1/otter/conversations/conversation_8c41d2/highlights \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("otter", "list_highlights", {"conversation_id":"conversation_8c41d2"}) const result = await cotlet.call('otter', 'list_highlights', {"conversation_id":"conversation_8c41d2"}); cotlet call otter list_highlights --data '{"conversation_id":"conversation_8c41d2"}' Example response
{
"highlights": [
{
"highlight_id": "hl_31",
"timestamp": "12:41",
"text": "We decided to go with the flat-rate option for the pilot.",
"comment": null
}
]
}